Knowledgebase:Systemanforderungen

From Cloudrexx Development Wiki
Jump to: navigation, search

Systemanforderungen

Die Seite Versionen gibt Auskunft über die für den Betrieb nötigen Versionen von PHP und MySQL/MariaDB. Des weiteren werden je nach PHP-Version diverse PHP-Erweiterungen benötigt. Eine Liste welche Erweiterungen in welcher Version benötigt werden findet sich unter PHP Images.

Detaillierte Serveranforderungen

Betriebssystem / Plattform

Für den Betrieb von Cloudrexx wird ein unixähnliches System empfohlen.

Der Betrieb auf anderen System (wie z.B. Windows) ist möglich, wird aber weder empfohlen, noch unterstützt.

Arbeitsspeicher (RAM)

Für den stabilen Betrieb von Cloudrexx wird mindestens 48 MB Arbeitsspeicher empfohlen. Wobei, bei aktivierem Caching, im Schnitt Cloudrexx nur 5 MB Arbeitsspeicher für die Beantwortung einer Anfrage benötigt.

PHP

Cloudrexx läuft einwandfrei mit der Standard-Konfiguration von PHP. Falls Sie die PHP-Umgebung anpassen (zur Optimierung/Erhöhung der Serverleistung/Sicherheit) beachten Sie bitte die folgenden zwingenden Anforderungen von Cloudrexx.

Konfiguration

Direktive Wert Bemerkung
session.use_cookies "1"
session.cookie_lifetime "0"
session.auto_start "0" Wenn session.auto_start auf "1" gesetzt wurde, dann muss session.save_handler zwingend auf "user" umgestellt werden.
open_basedir siehe Bemerkung Falls open_basedir verwendet wird, muss das Verzeichnis /tmp zwingend darin enthalten sein.
pcre.backtrack_limit
pcre.recursion_limit
"100000"
"100000"
Zu einem gewissen Grad können diese Direktiven herunter gesetzt werden. Die genaue mindest Anforderung kann nicht genannt werden, da dies je nach Layout und Seitenaufbau einer Website variiert. Werden die Werte zu tief gesetzt, kann ein Seitenaufruf der Website in einer Fehlermeldung in der Art "cannot find block xyz" enden.
memory_limit siehe Bemerkung Für den stabilen Betrieb von Cloudrexx wird mindestens 48 MB RAM (-> "48M") empfohlen.

Erweiterungen

Für den Betrieb von Cloudrexx werden die folgenden PHP Erweiterungen benötigt [1]:

Cloudrexx Version Erweiterung Version
5.0 GD (gd) 2.1.0+
intl
PDO
PDO_MYSQL (pdo_mysql)
MySQL Native Driver (mysqlnd)
cURL (curl)
OpenSSL (openssl)
DOM (dom)
iconv
libxml
Multibyte String (mbstring)
SimpleXML
XML Parser (xml)
Zlib (zlib)
BC Math (bcmath)
GMP (gmp)


Für einen optimalen Betrieb werden zusätzlich die folgenden Erweiterungen empfohlen:

Cloudrexx Version Erweiterung Version
5.0 Memcached (memcached)
Fileinfo (fileinfo)
Exif (exif)
IMAP (imap)
PCNTL (pcntl)
Readline (readline)


Für die Nutzung der Cloudrexx Entwicklungsumgebung, werden nebst den bereits oben erwähnten Erweiterungen noch zusätzlich folgende benötigt:

Cloudrexx Version Erweiterung Version
5.0 Mcrypt (mcrypt)
XMLWriter (xmlwriter)
XML-RPC (xmlrpc)
Zip (zip)
Bzip2 (bz2)

Detaillierte Client-Anforderungen

Für die Nutzung der Adminkonsole von Cloudrexx[2] wird grundsätzlich nur ein aktueller Web-Browser benötigt. Dabei werden die folgenden Browser unterstützt:

  • Chromium
  • Google Chrome
  • Mozilla Firefox
  • Apple Safari
  • Microsoft Edge

Wir empfehlen die Verwendung von Google Chrome (Chromium) oder Mozilla Firefox.

Bemerkungen

  1. Die Liste erhebt keinen Anspruch auf Vollständigkeit. Der Einsatz der Cloudrexx Docker-Images wird empfohlen.
  2. Bei Cloudrexx Cloud werden jeweils die neusten Versionen des jeweiligen Browsers unterstützt. Bei Cloudrexx Download ist die Unterstützung der neusten Browser nicht zwingend gegeben.